<?php
/**
 * @author Stylish Themes
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) { exit; }

class AQURA_full_video_youtube {

	protected static $instance = null;

	public static function get_instance() {

		// If the single instance hasn't been set, set it now.
		if ( null == self::$instance ) {
			self::$instance = new self;
		}

		return self::$instance;
	}

	private function __construct() {
		add_shortcode( 'full_video_youtube', array( &$this, 'shortcode' ) );
	}

	public function shortcode( $atts ){
		$output = $yt_small_title_1 = $yt_big_title = $yt_small_title_2 = $video_id = '';

		extract( shortcode_atts( array(
			'yt_small_title_1'		=> 'Theme Brothers',
			'yt_big_title'		=> 'AQURA',
			'yt_small_title_2'		=> 'Template',
			'video_id' 	=> ''
		), $atts ) );

		$output .= '<div class="breadcrumb-fullscreen-parent phone-menu-bg">';
			$output .= '<div class="breadcrumb breadcrumb-fullscreen alignleft small-description overlay almost-black-overlay" data-stellar-background-ratio="0.5" data-stellar-vertical-offset="0">';
				$output .= '<div class="starTitle starVideo">';
					$output .= '<h4>' . $yt_small_title_1 . '</h4>';
					$output .= '<div class="grid__item">';
						$output .= '<h1>';
							$output .= '<a class="link link-yaku">';
								$output .= $yt_big_title;
							$output .= '</a>';
						$output .= '</h1>';
					$output .= '</div>';
					$output .= '<h4>' . $yt_small_title_2 . '</h4>';
				$output .= '</div>';
				$output .= '<div id="bgndVideo" class="player" data-property="{videoURL:&#39;' . $video_id . '&#39;,containment:&#39;.player&#39;,autoPlay:true, mute:true, startAt:0, opacity:1}">';
				$output .= '</div>';
			$output .= '</div>';
		$output .= '</div>';

		return $output;
	}

}

AQURA_full_video_youtube::get_instance();