<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Aqura
 */

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

get_header(); ?>

	<div class="menu-bg-i"></div>

	<br>
	<br>
	<br>

	<div class="container containerError">
		<i class="fa fa-exclamation-triangle"></i>
		<?php esc_html_e('Ooops! No page found!', 'aqura'); ?>
		<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
			<strong>
				<?php esc_html_e( 'Go to Homepage!' , 'aqura' ); ?>
			</strong>
		</a>
	</div>

	<br>
	<br>
	<br>

<?php
get_footer();
