<?php
/**
 * @author Aqura
 */

// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }


if ( ! function_exists( 'aqura__pagination' ) ) :

    add_action('clubix_after_posts_loop', 'aqura__pagination', 10, 3);

    function aqura__pagination( $aqura_query, $pages = '', $range = 2 ) {
        ?>
        <!-- ========== START PAGINATION ========== -->
        <?php
        $showitems = ($range * 2)+1;

        global $paged;
        if(empty($paged)) $paged = 1;

        if($pages == '')
        {
            $pages = $aqura_query->max_num_pages;
            if(!$pages)
            {
                $pages = 1;
            }
        }

        if(1 != $pages)
        {
            echo '<section class="no-mb"><div class="container"><div class="row"><div class="col-sm-12"><div class="row"><div class="pagination-aqura cleafix">';

            if ($paged < $pages) echo "<a class='left' href='".get_pagenum_link($paged + 1)."'>".__('prev post', 'aqura')."<span class='icon'>
										<span></span>
										<span></span>
									</span></a>";

            if ($paged > 1) echo "<a class='right' href='".get_pagenum_link($paged - 1)."'>".__('next post', 'aqura')."<span class='icon'>
										<span></span>
										<span></span>
									</span></a>";


            echo "</div></div></div></div></div></section>";
        }
        ?>
        <!-- ========== END PAGINATION ========== -->
    <?php
    }

endif;

if ( ! function_exists( 'aqura_ajax_pagination' ) ) :

    add_action('aqura_after_posts_loop', 'aqura_ajax_pagination', 10, 3);

    function aqura_ajax_pagination( $aqura_query, $pages = '', $range = 2 ) {
        ?>
        <!-- ========== START PAGINATION ========== -->
        <?php
        $showitems = ($range * 2)+1;

        global $paged;
        if(empty($paged)) $paged = 1;

        if($pages == '')
        {
            $pages = $aqura_query->max_num_pages;
            if(!$pages)
            {
                $pages = 1;
            }
        }

        if(1 != $pages)
        {
            echo '<section class="no-mb"><div class="container"><div class="row"><div class="col-sm-12"><div class="row"><div id="pagination-ajax-inner" class="pagination-aqura cleafix">';

            if ($paged < $pages) echo "<a id='blog-load-more-button' class='middle' href='".get_pagenum_link($paged + 1)."'><span class='icon'>
										<span></span>
										<span></span>
									</span></a>";

            echo "</div></div></div></div></div></section>";
        }
        ?>
        <!-- ========== END PAGINATION ========== -->
    <?php
    }

endif;