<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

class AQURA_artist_signature {

	protected static $instance = null;

	public static function get_instance() {

		// If the single instance hasn't been set, set it now.
		if ( null == self::$instance ) {
			self::$instance = new self;
		}

		return self::$instance;
	}

	private function __construct() {
		add_shortcode( 'artist_signature', array( &$this, 'shortcode' ) );
	}

	public function shortcode( $atts ){
		$output = $artist_link = $artist_name = $artist_signature_image = '';

		extract( shortcode_atts( array(
			'artist_link'		=> '',
			'artist_name'		=> '',
			'artist_signature_image' => ''
		), $atts ) );

		$artist_signature_image_src = wp_get_attachment_image_src($artist_signature_image, "large");

		$output .= '<div class="signature">';
			$output .= '<a href="' . $artist_link . '">' . $artist_name . ':</a>';
			$output .= '<div class="imgSignuature">';
				$output .= '<img src="' . $artist_signature_image_src[0] . '" alt="">';
			$output .= '</div>';
		$output .= '</div>';

		return $output;
	}

}

AQURA_artist_signature::get_instance();

?>